Page MenuHomewrite.as

Support creating post with specific "created" time
Closed, ResolvedPublic

Description

Overview

Allow users to supply the original created date when first publishing a post.

Background

This is especially important for importing older posts, but is also useful for clients that want to support a scheduled post feature.

Implementation

If a created parameter exists on the SubmittedPost object, we'll insert that into the database instead of NOW().

If the date is after time.Now() and federation is enabled, do not federate the post.

Documentation

This should also get updated in the API docs.

Revisions and Commits

rWF WriteFreely

Event Timeline

matt triaged this task as High priority.Nov 13 2018, 8:20 PM
matt created this task.
matt updated the task description. (Show Details)
matt added a project: API.
matt changed the visibility from "Restricted Project (Project)" to "Public (No Login Required)".Nov 14 2018, 12:56 AM
matt closed this task as Resolved by committing Restricted Diffusion Commit.Nov 18 2018, 7:56 PM
matt added a commit: Restricted Diffusion Commit.